Index: doc/singular.idx
===================================================================
--- doc/singular.idx	(revision a719149f9dbe9f99164ada14b6234f2f7b085283)
+++ doc/singular.idx	(revision a070b84d59be835a2946d1386edd3221d80f3fe7)
@@ -3008,187 +3072,190 @@
 reference operations	reference and shared operations	sing_256.htm#SEC296	
 reference related functions	reference and shared related functions	sing_257.htm#SEC297	
-regCM		sing_1270.htm#SEC1346	
-regIdeal		sing_1256.htm#SEC1332	
-regMonCurve		sing_1259.htm#SEC1335	
+regCM		sing_1273.htm#SEC1349	
+regIdeal		sing_1259.htm#SEC1335	
+regMonCurve		sing_1262.htm#SEC1338	
 regularity	Syzygies and resolutions	sing_384.htm#SEC424	
-regularity 		sing_902.htm#SEC959	
-reiffen		sing_606.htm#SEC658	
-rel_orbit_variety		sing_1701.htm#SEC1777	
-relations		sing_785.htm#IDX352	
+regularity 		sing_904.htm#SEC961	
+reiffen		sing_607.htm#SEC659	
+rel_orbit_variety		sing_1704.htm#SEC1780	
+relations		sing_787.htm#IDX358	
 relativeInteriorPoint	relativeInteriorPoint	sing_215.htm#SEC255	
-relative_orbit_variety	relative_orbit_variety	sing_1702.htm#SEC1778	
-relweight		sing_1657.htm#SEC1733	
-remainder		sing_1777.htm#SEC1853	
-remainderMain		sing_1785.htm#SEC1861	
+relative_orbit_variety	relative_orbit_variety	sing_1705.htm#SEC1781	
+relweight		sing_1660.htm#SEC1736	
+remainder		sing_1780.htm#SEC1856	
+remainderMain		sing_1788.htm#SEC1864	
 removeCone		sing_235.htm#SEC275	
-removepower		sing_1514.htm#SEC1590	
+removepower		sing_1517.htm#SEC1593	
 repart		sing_385.htm#SEC425	
-replace		sing_1886.htm#SEC1962	
-representation, math objects	Representation of mathematical objects	sing_889.htm#SEC941	
+replace		sing_1889.htm#SEC1965	
+representation, math objects	Representation of mathematical objects	sing_891.htm#SEC943	
 res		sing_386.htm#SEC426	
-resbinomial.lib		sing_1417.htm#IDX546	
-resbinomial_lib		sing_1417.htm#IDX547	
+resbinomial.lib		sing_1420.htm#IDX553	
+resbinomial_lib		sing_1420.htm#IDX554	
 reservedName		sing_387.htm#SEC427	
-resfunction		sing_1431.htm#SEC1507	
-resgraph.lib		sing_1449.htm#SEC1525	
-resgraph_lib		sing_1449.htm#SEC1525	
-resjung.lib		sing_1453.htm#SEC1529	
-resjung_lib		sing_1453.htm#SEC1529	
-reslist		sing_1445.htm#SEC1521	
+resfunction		sing_1434.htm#SEC1510	
+resgraph.lib		sing_1452.htm#SEC1528	
+resgraph_lib		sing_1452.htm#SEC1528	
+resjung.lib		sing_1456.htm#SEC1532	
+resjung_lib		sing_1456.htm#SEC1532	
+reslist		sing_1448.htm#SEC1524	
 resolution	purityfiltration_lib	sing_156.htm#SEC196	
-resolution 		sing_793.htm#IDX359	
-resolution (plural)		sing_494.htm#SEC534	
+resolution 		sing_795.htm#IDX365	
+resolution (plural)		sing_495.htm#SEC535	
 resolution declarations	resolution declarations	sing_157.htm#SEC197	
-resolution declarations (plural)	resolution declarations (plural)	sing_495.htm#SEC535	
+resolution declarations (plural)	resolution declarations (plural)	sing_496.htm#SEC536	
 resolution expressions	resolution expressions	sing_158.htm#SEC198	
-resolution expressions (plural)	resolution expressions (plural)	sing_496.htm#SEC536	
-resolution graph		sing_1499.htm#IDX560	
+resolution expressions (plural)	resolution expressions (plural)	sing_497.htm#SEC537	
+resolution graph		sing_1502.htm#IDX567	
 resolution related functions	resolution related functions	sing_159.htm#SEC199	
-resolution related functions (plural)	resolution related functions (plural)	sing_497.htm#SEC537	
+resolution related functions (plural)	resolution related functions (plural)	sing_498.htm#SEC538	
 resolution, La Scala's method		sing_337.htm#SEC377	
-resolution, computation of		sing_386.htm#IDX181	
+resolution, computation of		sing_386.htm#IDX186	
 resolution, hilbert-driven		sing_312.htm#SEC352	
-resolutionInLocalization	resolutionInLocalization	sing_2289.htm#SEC2365	
-resolutiongraph		sing_1500.htm#SEC1576	
-resolve		sing_1461.htm#SEC1537	
-resolve.lib		sing_1457.htm#SEC1533	
-resolve_lib		sing_1457.htm#SEC1533	
-resources.lib		sing_1022.htm#SEC1098	
-resources_lib		sing_1022.htm#SEC1098	
-restriction		sing_2144.htm#IDX809	
-restriction 		sing_2160.htm#IDX842	
-restriction  		sing_2161.htm#IDX844	
-restriction of		sing_611.htm#IDX335	
-restrictionIdeal		sing_621.htm#SEC673	
-restrictionModule		sing_622.htm#SEC674	
+resolutionInLocalization	resolutionInLocalization	sing_2292.htm#SEC2368	
+resolutiongraph		sing_1503.htm#SEC1579	
+resolve		sing_1464.htm#SEC1540	
+resolve.lib		sing_1460.htm#SEC1536	
+resolve_lib		sing_1460.htm#SEC1536	
+resources.lib		sing_1024.htm#SEC1100	
+resources_lib		sing_1024.htm#SEC1100	
+restriction		sing_2147.htm#IDX816	
+restriction 		sing_2163.htm#IDX849	
+restriction  		sing_2164.htm#IDX851	
+restriction of		sing_612.htm#IDX341	
+restrictionIdeal		sing_622.htm#SEC674	
+restrictionModule		sing_623.htm#SEC675	
 resultant		sing_351.htm#SEC391	
 resultant 		sing_388.htm#SEC428	
-reszeta.lib		sing_1470.htm#SEC1546	
-reszeta_lib		sing_1470.htm#SEC1546	
+reszeta.lib		sing_1473.htm#SEC1549	
+reszeta_lib		sing_1473.htm#SEC1549	
 return		sing_439.htm#SEC479	
 return type of procedures	Return type of procedures	sing_464.htm#SEC504	
-returnSB, option		sing_364.htm#IDX147	
-reverse		sing_2037.htm#SEC2113	
-reverse lexicographical ordering		sing_893.htm#IDX380	
-reynolds_molien		sing_1677.htm#SEC1753	
-rho		sing_1928.htm#SEC2004	
-rightInverse		sing_1866.htm#SEC1942	
-rightKernel		sing_1864.htm#SEC1940	
-rightModulo		sing_772.htm#SEC824	
-rightNF		sing_771.htm#SEC823	
-rightNFWeyl		sing_840.htm#SEC892	
-rightStd		sing_770.htm#SEC822	
+returnSB, option		sing_364.htm#IDX152	
+reverse		sing_2040.htm#SEC2116	
+reverse lexicographical ordering		sing_895.htm#IDX386	
+reynolds_molien		sing_1680.htm#SEC1756	
+rho		sing_1931.htm#SEC2007	
+rightInverse		sing_1869.htm#SEC1945	
+rightKernel		sing_1867.htm#SEC1943	
+rightModulo		sing_774.htm#SEC826	
+rightNF		sing_773.htm#SEC825	
+rightNFWeyl		sing_842.htm#SEC894	
+rightStd		sing_772.htm#SEC824	
 ring		sing_160.htm#SEC200	
-ring (plural)		sing_498.htm#SEC538	
-ring coefficients	hasAlgExtensionCoefficient	sing_1048.htm#IDX436	
-ring coefficients 		sing_1049.htm#IDX437	
+ring (plural)		sing_499.htm#SEC539	
+ring coefficients	hasTransExtensionCoefficient	sing_1050.htm#IDX442	
+ring coefficients 		sing_1051.htm#IDX443	
+ring coefficients  		sing_1052.htm#IDX444	
 ring declarations		sing_162.htm#SEC202	
-ring declarations (plural)	ring declarations (plural)	sing_499.htm#SEC539	
+ring declarations (plural)	ring declarations (plural)	sing_500.htm#SEC540	
 ring operations		sing_164.htm#SEC204	
-ring operations (plural)	ring operations (plural)	sing_500.htm#SEC540	
+ring operations (plural)	ring operations (plural)	sing_501.htm#SEC541	
 ring related functions	ring related functions	sing_163.htm#SEC203	
-ring related functions (plural)	ring related functions (plural)	sing_501.htm#SEC541	
-ring, opposite		sing_406.htm#IDX219	
-ring.lib		sing_1027.htm#SEC1103	
-ring_cf		sing_261.htm#IDX134	
-ring_lib		sing_1027.htm#SEC1103	
-ring_variable		sing_2131.htm#IDX786	
-ring_variable 		sing_2132.htm#IDX788	
-ring_variable  		sing_2133.htm#IDX792	
-ring_variable   		sing_2134.htm#IDX794	
+ring related functions (plural)	ring related functions (plural)	sing_502.htm#SEC542	
+ring, opposite		sing_406.htm#IDX225	
+ring.lib		sing_1029.htm#SEC1105	
+ring_cf		sing_261.htm#IDX138	
+ring_lib		sing_1029.htm#SEC1105	
+ring_variable		sing_2134.htm#IDX793	
+ring_variable 		sing_2135.htm#IDX795	
+ring_variable  		sing_2136.htm#IDX799	
+ring_variable   		sing_2137.htm#IDX801	
 ringlist		sing_389.htm#SEC429	
-ringlist (plural)		sing_526.htm#SEC566	
-ringtensor		sing_1039.htm#SEC1115	
-ringweights		sing_1040.htm#SEC1116	
-rinvar.lib		sing_1713.htm#SEC1789	
-rinvar_lib		sing_1713.htm#SEC1789	
-rmNmzFiles		sing_1310.htm#SEC1386	32601
-rm_unitcol		sing_1106.htm#SEC1182	
-rm_unitrow		sing_1105.htm#SEC1181	
-rmx		sing_1811.htm#SEC1887	
-rncAntiCanonicalMap		sing_1409.htm#SEC1485	
-rncItProjEven		sing_1413.htm#SEC1489	
-rncItProjOdd		sing_1412.htm#SEC1488	
-root of Bernstein-Sato polynomial		sing_588.htm#IDX324	
-rootofUnity		sing_1042.htm#SEC1118	
-roots		sing_1778.htm#SEC1854	
-rootsMain		sing_1786.htm#SEC1862	
-rootsModp		sing_1910.htm#SEC1986	
-rootsmr.lib		sing_2007.htm#SEC2083	
-rootsmr_lib		sing_2007.htm#SEC2083	
-rootsur.lib		sing_2023.htm#SEC2099	
-rootsur_lib		sing_2023.htm#SEC2099	
-round		sing_1908.htm#SEC1984	
-rowred		sing_1102.htm#SEC1178	
-rp, global ordering		sing_893.htm#IDX379	
-rswalk		sing_2402.htm#SEC2478	
+ringlist (plural)		sing_527.htm#SEC567	
+ringtensor		sing_1041.htm#SEC1117	
+ringweights		sing_1042.htm#SEC1118	
+rinvar.lib		sing_1716.htm#SEC1792	
+rinvar_lib		sing_1716.htm#SEC1792	
+rmNmzFiles		sing_1313.htm#SEC1389	32601
+rm_unitcol		sing_1109.htm#SEC1185	
+rm_unitrow		sing_1108.htm#SEC1184	
+rmx		sing_1814.htm#SEC1890	
+rncAntiCanonicalMap		sing_1412.htm#SEC1488	
+rncItProjEven		sing_1416.htm#SEC1492	
+rncItProjOdd		sing_1415.htm#SEC1491	
+root of Bernstein-Sato polynomial		sing_589.htm#IDX330	
+rootofUnity		sing_1044.htm#SEC1120	
+roots		sing_1781.htm#SEC1857	
+rootsMain		sing_1789.htm#SEC1865	
+rootsModp		sing_1913.htm#SEC1989	
+rootsmr.lib		sing_2010.htm#SEC2086	
+rootsmr_lib		sing_2010.htm#SEC2086	
+rootsur.lib		sing_2026.htm#SEC2102	
+rootsur_lib		sing_2026.htm#SEC2102	
+round		sing_1911.htm#SEC1987	
+rowShift		sing_261.htm#IDX141	
+rowShift 		sing_263.htm#SEC303	
+rowred		sing_1105.htm#SEC1181	
+rp, global ordering		sing_895.htm#IDX385	
+rswalk		sing_2407.htm#SEC2483	
 rtimer		sing_452.htm#SEC492	
 rvalue	No rvalue of increments and assignments	sing_458.htm#SEC498	
 rvar		sing_390.htm#SEC430	
-rwalk		sing_2398.htm#SEC2474	
-rwalk.lib		sing_2396.htm#SEC2472	
-rwalk_lib		sing_2396.htm#SEC2472	
-s_res		sing_1056.htm#SEC1132	
-sa_poly_reduce		sing_576.htm#SEC628	
-sa_reduce		sing_575.htm#SEC627	
-sagbi		sing_1363.htm#SEC1439	
-sagbi.lib		sing_1360.htm#SEC1436	
-sagbiPart		sing_1364.htm#SEC1440	
-sagbiReduce		sing_1362.htm#SEC1438	
-sagbiSPoly		sing_1361.htm#SEC1437	
-sagbi_lib		sing_1360.htm#SEC1436	
-salida		sing_1442.htm#SEC1518	
-sameComponent		sing_1990.htm#SEC2066	
-sameQ		sing_1789.htm#SEC1865	
-sat		sing_1171.htm#SEC1247	
-satiety		sing_1258.htm#SEC1334	
-satstd		sing_2463.htm#SEC2539	
+rwalk		sing_2403.htm#SEC2479	
+rwalk.lib		sing_2401.htm#SEC2477	
+rwalk_lib		sing_2401.htm#SEC2477	
+s_res		sing_1059.htm#SEC1135	
+sa_poly_reduce		sing_577.htm#SEC629	
+sa_reduce		sing_576.htm#SEC628	
+sagbi		sing_1366.htm#SEC1442	
+sagbi.lib		sing_1363.htm#SEC1439	
+sagbiPart		sing_1367.htm#SEC1443	
+sagbiReduce		sing_1365.htm#SEC1441	
+sagbiSPoly		sing_1364.htm#SEC1440	
+sagbi_lib		sing_1363.htm#SEC1439	
+salida		sing_1445.htm#SEC1521	
+sameComponent		sing_1993.htm#SEC2069	
+sameQ		sing_1792.htm#SEC1868	
+sat		sing_1174.htm#SEC1250	
+satiety		sing_1261.htm#SEC1337	
+satstd		sing_2468.htm#SEC2544	
 sba		sing_391.htm#SEC431	
-scalarProd		sing_565.htm#SEC617	
-scheme		sing_2262.htm#SEC2338	
-schreyer.lib		sing_1055.htm#SEC1131	
-schreyer_lib		sing_1055.htm#SEC1131	
+scalarProd		sing_566.htm#SEC618	
+scheme		sing_2265.htm#SEC2341	
+schreyer.lib		sing_1058.htm#SEC1134	
+schreyer_lib		sing_1058.htm#SEC1134	
 sdb, source code debugger	Source code debugger	sing_66.htm#SEC103	
-secondary fan		sing_2041.htm#IDX732	
-secondary polytope		sing_2041.htm#IDX733	
-secondaryFan		sing_2049.htm#SEC2125	
-secondaryPolytope		sing_2048.htm#SEC2124	
-secondary_and_irreducibles_no_molien	secondary_and_irreducibles_no_molien	sing_1698.htm#SEC1774	
-secondary_char0		sing_1693.htm#SEC1769	
-secondary_charp		sing_1695.htm#SEC1771	
-secondary_no_molien		sing_1696.htm#SEC1772	
-secondary_not_cohen_macaulay	secondary_not_cohen_macaulay	sing_1699.htm#SEC1775	
-segre		sing_2176.htm#SEC2252	
-select		sing_1172.htm#SEC1248	
-select1		sing_1173.htm#SEC1249	
-semaphore		sing_406.htm#IDX237	
-semaphore 		sing_1026.htm#SEC1102	
-semaphores		sing_1022.htm#IDX431	
-semiCMcod2		sing_1654.htm#SEC1730	
-semidiv		sing_1982.htm#SEC2058	
-semigroup		sing_1503.htm#SEC1579	
-semigroup 		sing_1507.htm#IDX567	
-semigroup of values		sing_1593.htm#IDX682	
+secondary fan		sing_2044.htm#IDX739	
+secondary polytope		sing_2044.htm#IDX740	
+secondaryFan		sing_2052.htm#SEC2128	
+secondaryPolytope		sing_2051.htm#SEC2127	
+secondary_and_irreducibles_no_molien	secondary_and_irreducibles_no_molien	sing_1701.htm#SEC1777	
+secondary_char0		sing_1696.htm#SEC1772	
+secondary_charp		sing_1698.htm#SEC1774	
+secondary_no_molien		sing_1699.htm#SEC1775	
+secondary_not_cohen_macaulay	secondary_not_cohen_macaulay	sing_1702.htm#SEC1778	
+segre		sing_2179.htm#SEC2255	
+select		sing_1175.htm#SEC1251	
+select1		sing_1176.htm#SEC1252	
+semaphore		sing_406.htm#IDX243	
+semaphore 		sing_1028.htm#SEC1104	
+semaphores		sing_1024.htm#IDX437	
+semiCMcod2		sing_1657.htm#SEC1733	
+semidiv		sing_1985.htm#SEC2061	
+semigroup		sing_1506.htm#SEC1582	
+semigroup 		sing_1510.htm#IDX574	
+semigroup of values		sing_1596.htm#IDX689	
 semigroupGenerator		sing_216.htm#SEC256	
-sep		sing_1340.htm#SEC1416	
-separateHNE		sing_1604.htm#SEC1680	
-separator		sing_1241.htm#SEC1317	
-serreRelations		sing_694.htm#SEC746	
-set		sing_2126.htm#IDX772	
-setBaseMultigrading		sing_2342.htm#SEC2418	
-setLetterplaceAttributes	setLetterplaceAttributes	sing_685.htm#SEC737	
+sep		sing_1343.htm#SEC1419	
+separateHNE		sing_1607.htm#SEC1683	
+separator		sing_1244.htm#SEC1320	
+serreRelations		sing_695.htm#SEC747	
+set		sing_2129.htm#IDX779	
+setBaseMultigrading		sing_2345.htm#SEC2421	
+setLetterplaceAttributes	setLetterplaceAttributes	sing_686.htm#SEC738	
 setLinearForms		sing_217.htm#SEC257	
-setModuleGrading		sing_2354.htm#SEC2430	
+setModuleGrading		sing_2357.htm#SEC2433	
 setMultiplicity		sing_218.htm#SEC258	
-setNmzDataPath		sing_1307.htm#SEC1383	18123
-setNmzExecPath		sing_1303.htm#SEC1379	38993
-setNmzFilename		sing_1306.htm#SEC1382	20206
-setNmzOption		sing_1300.htm#SEC1376	9012
-set_is_injective		sing_1970.htm#SEC2046	
-setcores		sing_1024.htm#SEC1100	
-setenv		sing_406.htm#IDX240	
-setinitials		sing_2272.htm#SEC2348	
+setNmzDataPath		sing_1310.htm#SEC1386	18123
+setNmzExecPath		sing_1306.htm#SEC1382	38993
+setNmzFilename		sing_1309.htm#SEC1385	20206
+setNmzOption		sing_1303.htm#SEC1379	9012
+set_is_injective		sing_1973.htm#SEC2049	
+setcores		sing_1026.htm#SEC1102	
+setenv		sing_406.htm#IDX246	
+setinitials		sing_2275.htm#SEC2351	
 setring		sing_392.htm#SEC432	
-sh		sing_406.htm#IDX242	
+sh		sing_406.htm#IDX248	
 shared		sing_251.htm#SEC291	
 shared declarations		sing_254.htm#SEC294	
@@ -3196,156 +3263,156 @@
 shared operations	reference and shared operations	sing_256.htm#SEC296	
 shared related functions	reference and shared related functions	sing_257.htm#SEC297	
-sheaf cohomology		sing_1480.htm#IDX548	
-sheafCoh		sing_1486.htm#SEC1562	64501
-sheafCohBGG		sing_1484.htm#SEC1560	13439
-sheafCohBGG2		sing_1485.htm#SEC1561	3338
-sheafcoh.lib		sing_1480.htm#SEC1556	
-sheafcoh_lib		sing_1480.htm#SEC1556	
-shiftPoly		sing_687.htm#SEC739	
+sheaf cohomology		sing_1483.htm#IDX555	
+sheafCoh		sing_1489.htm#SEC1565	64501
+sheafCohBGG		sing_1487.htm#SEC1563	13439
+sheafCohBGG2		sing_1488.htm#SEC1564	3338
+sheafcoh.lib		sing_1483.htm#SEC1559	
+sheafcoh_lib		sing_1483.htm#SEC1559	
+shiftPoly		sing_688.htm#SEC740	
 short		sing_449.htm#SEC489	
-show		sing_975.htm#SEC1051	
-showBO		sing_1462.htm#SEC1538	
-showDataTypes		sing_1464.htm#SEC1540	
-showNmzOptions		sing_1301.htm#SEC1377	64955
-showNuminvs		sing_1298.htm#SEC1374	18934
-showgrades		sing_798.htm#SEC850	
-showrecursive		sing_976.htm#SEC1052	
-sickle		sing_672.htm#SEC724	
-signatureBrieskorn		sing_1663.htm#SEC1739	
-signatureL		sing_2101.htm#SEC2177	
-signatureLqf		sing_2102.htm#SEC2178	
-signatureNemethi		sing_1665.htm#SEC1741	
-signaturePuiseux		sing_1664.htm#SEC1740	
-signcnd		sing_1791.htm#SEC1867	
-signcond.lib		sing_1790.htm#SEC1866	
-signcond_lib		sing_1790.htm#SEC1866	
-simplesolver		sing_1735.htm#SEC1811	
+show		sing_977.htm#SEC1053	
+showBO		sing_1465.htm#SEC1541	
+showDataTypes		sing_1467.htm#SEC1543	
+showNmzOptions		sing_1304.htm#SEC1380	64955
+showNuminvs		sing_1301.htm#SEC1377	18934
+showgrades		sing_800.htm#SEC852	
+showrecursive		sing_978.htm#SEC1054	
+sickle		sing_673.htm#SEC725	
+signatureBrieskorn		sing_1666.htm#SEC1742	
+signatureL		sing_2104.htm#SEC2180	
+signatureLqf		sing_2105.htm#SEC2181	
+signatureNemethi		sing_1668.htm#SEC1744	
+signaturePuiseux		sing_1667.htm#SEC1743	
+signcnd		sing_1794.htm#SEC1870	
+signcond.lib		sing_1793.htm#SEC1869	
+signcond_lib		sing_1793.htm#SEC1869	
+simplesolver		sing_1738.htm#SEC1814	
 simplex		sing_393.htm#SEC433	
-simplexOut		sing_1762.htm#SEC1838	
+simplexOut		sing_1765.htm#SEC1841	
 simplify		sing_394.htm#SEC434	
-simplifyRat		sing_835.htm#SEC887	
-sing.lib		sing_1630.htm#SEC1706	
-sing4ti2.lib		sing_1366.htm#SEC1442	
-sing4ti2_lib		sing_1366.htm#SEC1442	
-sing_lib		sing_1630.htm#SEC1706	
-singular locus of D-module		sing_815.htm#IDX369	
-singularities		sing_1562.htm#IDX584	
-singularities 		sing_1563.htm#IDX595	
-singularities  		sing_1564.htm#IDX598	
-singularities   		sing_1565.htm#IDX601	
-singularities    		sing_1566.htm#IDX604	
-singularities     		sing_1567.htm#IDX608	
-singularities      		sing_1568.htm#IDX612	
-singularities       		sing_1569.htm#IDX618	
-singularities        		sing_1570.htm#IDX626	
-singularities         		sing_1571.htm#IDX632	
-singularities          		sing_1572.htm#IDX640	
-singularities           		sing_1573.htm#IDX650	
-singularities            		sing_1661.htm#IDX697	
-singularities, resolution of	Resolution of singularities	sing_878.htm#SEC930	
-singularity		sing_1527.htm#SEC1603	
+simplifyRat		sing_837.htm#SEC889	
+sing.lib		sing_1633.htm#SEC1709	
+sing4ti2.lib		sing_1369.htm#SEC1445	
+sing4ti2_lib		sing_1369.htm#SEC1445	
+sing_lib		sing_1633.htm#SEC1709	
+singular locus of D-module		sing_817.htm#IDX375	
+singularities		sing_1565.htm#IDX591	
+singularities 		sing_1566.htm#IDX602	
+singularities  		sing_1567.htm#IDX605	
+singularities   		sing_1568.htm#IDX608	
+singularities    		sing_1569.htm#IDX611	
+singularities     		sing_1570.htm#IDX615	
+singularities      		sing_1571.htm#IDX619	
+singularities       		sing_1572.htm#IDX625	
+singularities        		sing_1573.htm#IDX633	
+singularities         		sing_1574.htm#IDX639	
+singularities          		sing_1575.htm#IDX647	
+singularities           		sing_1576.htm#IDX657	
+singularities            		sing_1664.htm#IDX704	
+singularities, resolution of	Resolution of singularities	sing_880.htm#SEC932	
+singularity		sing_1530.htm#SEC1606	
 singularrc		sing_20.htm#IDX73	
 size	Miscellaneous oddities	sing_395.htm#SEC435	
-size 		sing_466.htm#IDX282	
-skewmat		sing_1089.htm#SEC1165	
+size 		sing_466.htm#IDX288	
+skewmat		sing_1092.htm#SEC1168	
 sleep		sing_401.htm#SEC441	
 slimgb		sing_396.htm#SEC436	
-slimgb 		sing_855.htm#SEC907	
-slimgb (plural)		sing_527.htm#SEC567	
-slocus		sing_1642.htm#SEC1718	
-smith		sing_1875.htm#SEC1951	
-smithNormalForm		sing_2390.htm#SEC2466	
-solutionsMod2		sing_1925.htm#SEC2001	
-solve		sing_1756.htm#SEC1832	
+slimgb 		sing_857.htm#SEC909	
+slimgb (plural)		sing_528.htm#SEC568	
+slocus		sing_1645.htm#SEC1721	
+smith		sing_1878.htm#SEC1954	
+smithNormalForm		sing_2393.htm#SEC2469	
+solutionsMod2		sing_1928.htm#SEC2004	
+solve		sing_1759.htm#SEC1835	
 solve a linear equation system A*x = b via the LU-decomposition of A	lusolve	sing_340.htm#SEC380	
-solve.lib		sing_1754.htm#SEC1830	
-solveTInitialFormPar	solveTInitialFormPar	sing_2091.htm#SEC2167	
-solve_IP		sing_1216.htm#SEC1292	
-solve_lib		sing_1754.htm#SEC1830	
-solvelinearpart		sing_1749.htm#SEC1825	
-sort		sing_948.htm#SEC1024	
-sortIntvec		sing_643.htm#SEC695	
-sortandmap		sing_1750.htm#SEC1826	
-sortier		sing_1712.htm#SEC1788	
-sortvars		sing_1751.htm#SEC1827	
+solve.lib		sing_1757.htm#SEC1833	
+solveTInitialFormPar	solveTInitialFormPar	sing_2094.htm#SEC2170	
+solve_IP		sing_1219.htm#SEC1295	
+solve_lib		sing_1757.htm#SEC1833	
+solvelinearpart		sing_1752.htm#SEC1828	
+sort		sing_950.htm#SEC1026	
+sortIntvec		sing_644.htm#SEC696	
+sortandmap		sing_1753.htm#SEC1829	
+sortier		sing_1715.htm#SEC1791	
+sortvars		sing_1754.htm#SEC1830	
 sortvec		sing_397.htm#SEC437	
 source code debugger, sdb	Source code debugger	sing_66.htm#SEC103	
-spadd		sing_1576.htm#SEC1652	
+spadd		sing_1579.htm#SEC1655	
 span		sing_219.htm#SEC259	
-sparseHomogIdeal		sing_1018.htm#SEC1094	
-sparseInterpolation		sing_2257.htm#SEC2333	
-sparseid		sing_1013.htm#SEC1089	
-sparsemat		sing_1015.htm#SEC1091	
-sparsematrix		sing_1014.htm#SEC1090	
-sparsepoly		sing_1016.htm#SEC1092	
-sparsetriag		sing_1017.htm#SEC1093	
-spcurve.lib		sing_1650.htm#SEC1726	
-spcurve_lib		sing_1650.htm#SEC1726	
-special characters, non-english		sing_455.htm#IDX275	
-spectral pairs		sing_1562.htm#IDX593	
-spectral pairs 		sing_1569.htm#IDX625	
-spectral pairs  		sing_1571.htm#IDX639	
-spectral pairs   		sing_1572.htm#IDX648	
-spectral pairs    		sing_1584.htm#IDX664	
-spectral pairs     		sing_1586.htm#IDX675	
-spectralNeg		sing_1472.htm#SEC1548	
-spectrum		sing_1562.htm#IDX592	
-spectrum 		sing_1568.htm#SEC1644	
-spectrum  		sing_1568.htm#IDX617	
-spectrum   		sing_1569.htm#IDX624	
-spectrum    		sing_1570.htm#IDX631	
-spectrum     		sing_1571.htm#IDX638	
-spectrum      		sing_1572.htm#IDX647	
-spectrum       		sing_1584.htm#IDX663	
-spectrum        		sing_1586.htm#IDX674	
-spectrum         		sing_1661.htm#IDX699	
-spectrum.lib		sing_1660.htm#SEC1736	
-spectrum_lib		sing_1660.htm#SEC1736	
-spectrumnd		sing_1661.htm#SEC1737	
-spgamma		sing_1583.htm#SEC1659	
-spgeomgenus		sing_1582.htm#SEC1658	
-spissemicont		sing_1579.htm#SEC1655	
-split		sing_977.htm#SEC1053	
-splitPolygon		sing_2051.htm#SEC2127	
-splitring		sing_1352.htm#SEC1428	
-splitting		sing_1249.htm#SEC1325	
-spmilnor		sing_1581.htm#SEC1657	
-spmul		sing_1578.htm#SEC1654	
-spnf		sing_1132.htm#SEC1208	
-spoly		sing_1993.htm#SEC2069	
-sppairs		sing_1569.htm#SEC1645	
-sppnf		sing_1574.htm#SEC1650	
-sppprint		sing_1575.htm#SEC1651	
-spprint		sing_1133.htm#SEC1209	
+sparseHomogIdeal		sing_1020.htm#SEC1096	
+sparseInterpolation		sing_2260.htm#SEC2336	
+sparseid		sing_1015.htm#SEC1091	
+sparsemat		sing_1017.htm#SEC1093	
+sparsematrix		sing_1016.htm#SEC1092	
+sparsepoly		sing_1018.htm#SEC1094	
+sparsetriag		sing_1019.htm#SEC1095	
+spcurve.lib		sing_1653.htm#SEC1729	
+spcurve_lib		sing_1653.htm#SEC1729	
+special characters, non-english		sing_455.htm#IDX281	
+spectral pairs		sing_1565.htm#IDX600	
+spectral pairs 		sing_1572.htm#IDX632	
+spectral pairs  		sing_1574.htm#IDX646	
+spectral pairs   		sing_1575.htm#IDX655	
+spectral pairs    		sing_1587.htm#IDX671	
+spectral pairs     		sing_1589.htm#IDX682	
+spectralNeg		sing_1475.htm#SEC1551	
+spectrum		sing_1565.htm#IDX599	
+spectrum 		sing_1571.htm#SEC1647	
+spectrum  		sing_1571.htm#IDX624	
+spectrum   		sing_1572.htm#IDX631	
+spectrum    		sing_1573.htm#IDX638	
+spectrum     		sing_1574.htm#IDX645	
+spectrum      		sing_1575.htm#IDX654	
+spectrum       		sing_1587.htm#IDX670	
+spectrum        		sing_1589.htm#IDX681	
+spectrum         		sing_1664.htm#IDX706	
+spectrum.lib		sing_1663.htm#SEC1739	
+spectrum_lib		sing_1663.htm#SEC1739	
+spectrumnd		sing_1664.htm#SEC1740	
+spgamma		sing_1586.htm#SEC1662	
+spgeomgenus		sing_1585.htm#SEC1661	
+spissemicont		sing_1582.htm#SEC1658	
+split		sing_979.htm#SEC1055	
+splitPolygon		sing_2054.htm#SEC2130	
+splitring		sing_1355.htm#SEC1431	
+splitting		sing_1252.htm#SEC1328	
+spmilnor		sing_1584.htm#SEC1660	
+spmul		sing_1581.htm#SEC1657	
+spnf		sing_1135.htm#SEC1211	
+spoly		sing_1996.htm#SEC2072	
+sppairs		sing_1572.htm#SEC1648	
+sppnf		sing_1577.htm#SEC1653	
+sppprint		sing_1578.htm#SEC1654	
+spprint		sing_1136.htm#SEC1212	
 sprintf		sing_399.htm#SEC439	
-spsemicont		sing_1580.htm#SEC1656	
-spsub		sing_1577.htm#SEC1653	
-sqfrNorm		sing_1779.htm#SEC1855	
-sqfrNormMain		sing_1787.htm#SEC1863	
-sqr		sing_1905.htm#SEC1981	
+spsemicont		sing_1583.htm#SEC1659	
+spsub		sing_1580.htm#SEC1656	
+sqfrNorm		sing_1782.htm#SEC1858	
+sqfrNormMain		sing_1790.htm#SEC1866	
+sqr		sing_1908.htm#SEC1984	
 sqrfree		sing_398.htm#SEC438	
-squareRoot		sing_1924.htm#SEC2000	
-squarefree		sing_1605.htm#SEC1681	
+squareRoot		sing_1927.htm#SEC2003	
+squarefree		sing_1608.htm#SEC1684	
 sres		sing_400.htm#SEC440	
-ssi	Parallelization with ssi links	sing_850.htm#SEC902	
-staircase		sing_1796.htm#SEC1872	
-standard		sing_2000.htm#SEC2076	
-standard.lib		sing_926.htm#IDX407	
-standard_lib		sing_926.htm#IDX408	
-startNmz		sing_1309.htm#SEC1385	21925
-startTasks		sing_1069.htm#SEC1145	
+ssi	Parallelization with ssi links	sing_852.htm#SEC904	
+staircase		sing_1799.htm#SEC1875	
+standard		sing_2003.htm#SEC2079	
+standard.lib		sing_928.htm#IDX413	
+standard_lib		sing_928.htm#IDX414	
+startNmz		sing_1312.htm#SEC1388	21925
+startTasks		sing_1072.htm#SEC1148	
 static procedures	Procedure definition	sing_43.htm#SEC78	
 status		sing_401.htm#SEC441	
 std		sing_402.htm#SEC442	
-std 		sing_853.htm#SEC905	
-std (plural)		sing_528.htm#SEC568	
+std 		sing_855.htm#SEC907	
+std (plural)		sing_529.htm#SEC569	
 stdfglm		sing_403.htm#SEC443	
 stdhilb		sing_404.htm#SEC444	
-stopTask		sing_1070.htm#SEC1146	
-stratify		sing_1730.htm#SEC1806	
-stratify.lib		sing_1728.htm#SEC1804	
-stratify_lib		sing_1728.htm#SEC1804	
+stopTask		sing_1073.htm#SEC1149	
+stratify		sing_1733.htm#SEC1809	
+stratify.lib		sing_1731.htm#SEC1807	
+stratify_lib		sing_1731.htm#SEC1807	
 string	Miscellaneous oddities	sing_166.htm#SEC206	
-string 		sing_466.htm#IDX285	
+string 		sing_466.htm#IDX291	
 string declarations		sing_167.htm#SEC207	
 string expressions		sing_168.htm#SEC208	
